Subject: Re: RFC: NAPI packet weighting patch

From: Ben Greear <[email-masked]>
Date: Fri, 03 Jun 2005 11:59:35 -0700

David S. Miller wrote:
> From: Ben Greear <[email-masked]>

>>Maybe the poll is disabling the IRQs on the NIC for too long, or something
>>like that?
> 
> 
> In a reply I just sent out to this thread, I postulate that the
> jiffies check is hitting earlier with a lower weight value, a quick
> look at /proc/net/softnet_stat during their testing will confirm or
> deny this theory.

That would basically just decrease the work done in the NAPI poll though,
so I don't see how that could be the problem, since the 'solution' was to
force less work to be done.

> It could also just be a simple bug in the dev->quota accounting
> somewhere.
> 
> Note that, in all of this, I do not have any objections to providing
> a way to configure the dev->weight values.  I will be applying Stephen
> Hemminger's patches.

Good.  The more knobs the merrier, so long as they are at least somewhat
documented and default to good sane values :)

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com